> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/references.md).

# Java API references

- [Core Java API (Version 2)](https://developer.collibra.com/workflows/references/core-api.md): The Core Java API is the main entry point to interact with your Collibra environment. Create, update or delete resources such as users, assets, domains or start workflows.
- [Import Java API (Version 1)](https://developer.collibra.com/workflows/references/import-api.md): The Import Java API is an efficient way to load large volumes of data into Collibra. The API can automatically differentiate between creating and updating data.
- [Workflow Java API (Version 2)](https://developer.collibra.com/workflows/references/workflow-beans.md): The Workflow Java API is a set of delegate, listener, and helper methods (beans) that you can use to develop workflows.
- [Catalog Java API (Version 1)](https://developer.collibra.com/workflows/references/catalog-api.md): The Catalog Java API allows you to interact with Collibra Catalog. Create, update or delete resources, such as classification results or profiling information.
- [Catalog Data Classification Java API (Version 1)](https://developer.collibra.com/workflows/references/catalog-data-classification-api.md): The Catalog Data Classification Java API allows classifying datasets, databases, schemas, tables, or columns based on sample data, and searching and managing the data classification labels.
- [Catalog Sampling Java API (Version 1)](https://developer.collibra.com/workflows/references/catalog-sampling-api.md): The Catalog Sampling Java API allows you to use sample data. You can request samples from an Edge data source, temporarily add them in the Edge cache, and read the available samples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/workflows/references.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
